package com.bcxin.tenant.domain.repository.impls;

import com.bcxin.tenant.domain.entities.InvitedToJoinQueuesEntity;
import com.bcxin.tenant.domain.repositories.InvitedToJoinQueuesRepository;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

import java.util.Collection;
import java.util.List;

public interface InvitedToJoinQueuesJpaRepository extends InvitedToJoinQueuesRepository, JpaRepository<InvitedToJoinQueuesEntity,String> {

    @Query("select e from InvitedToJoinQueuesEntity e where e.id in (?1)")
    Collection<InvitedToJoinQueuesEntity> findByIds(Collection<Long> ids);

    @Query("select e from InvitedToJoinQueuesEntity e where e.credentialNumber in (?1) order by e.inviter.createdTime desc ")
    List<InvitedToJoinQueuesEntity> findByCredentialNumbers(List<String> credentialNumbers);
}
